NotificationHistoryFacets returns the disjunctive filter-menu aggregates for the workspace notification history list, given the current filter context: counts per status, channel, notification, template and detection.
NotificationHistoryFacets returns the disjunctive filter-menu aggregates for the workspace notification history list, given the current filter context: counts per status, channel, notification, template and detection.
GET
/
notification-history/facetsQuery Parameters
channelarray<string>
channelModestring
detectionarray<string>
detectionModestring
fromstring
notificationNamearray<string>
notificationNameModestring
searchstring
sortstring
statusarray<string>
statusModestring
templateNamearray<string>
templateNameModestring
tostring
Success
NotificationHistoryList returns a paginated list of sent notifications, filtered by search text, time range, and the status, channel, notification, template and detection filter menus.
NotificationHistoryList returns a paginated list of sent notifications, filtered by search text, time range, and the status, channel, notification, template and detection filter menus.
GET
/
notification-history/listQuery Parameters
channelarray<string>
channelModestring
detectionarray<string>
detectionModestring
fromstring
notificationNamearray<string>
notificationNameModestring
searchstring
sortstring
statusarray<string>
statusModestring
templateNamearray<string>
templateNameModestring
tostring
Success
NotificationHistoryListByAlert lists the notification history entries associated with a specific alert.
NotificationHistoryListByAlert lists the notification history entries associated with a specific alert.
GET
/
notification-history/list-by-alertidQuery Parameters
alertIDstring
Success